[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# cosh

Return hyperbolic cosine

## Declaration

Source position: math.pp line 288

`function cosh(`
`x: float`
`):float;`

## Description

Cosh returns the hyperbolic cosine of it's argument {x}.

## Errors

None.

## See also

arcosh |  | Return inverse hyperbolic cosine
sinh |  | Return hyperbolic sine
arsinh |  | Return inverse hyperbolic sine

## Example

    Program Example8;

    { Program to demonstrate the cosh function. }

    Uses math;

    begin
      Writeln(Cosh(0));
      Writeln(Cosh(1));
    end.

Documentation generated on: Feb 26 2014